src/pug/layout/modal.pug
#modal-click.modal
  h4.modal__title Реєстрація
  .modal-body
    h5.modal__subtitle Введіть свій номер телефону
    form.registration-form(action='#')
      .contact-control
        label.contact-control__label(for='phone') Номер телефону
        .contact-control__area
          img.flag-icon.position-absolute(src='./images/flag-icon.svg', width='30', height='20', alt='flag-icon')
          span.prompt-number.position-absolute +3 (
          input#phone.contact-control__input(type='tel', placeholder='000) 234-56-78')
      button.btn.btn-sm(type='button') забрати бонус
      .checkbox-body
        label.checkbox-container
          | Я погоджуюсь з
          a(href='#', target='_blank') правилами та умовами
          input(type='checkbox')
          span.check-mark
        label.checkbox-container
          | Отримати розсилку про акції по
          span.open-sans-text e-mail
          |  та
          span.open-sans-text sms
          input(type='checkbox')
          span.check-mark

src/layout/modal.html

<div class="modal" id="modal-click">
  <h4 class="modal__title">Реєстрація</h4>
  <div class="modal-body">
    <h5 class="modal__subtitle">Введіть свій номер телефону</h5>
    <form class="registration-form" action="#">
      <div class="contact-control">
        <label class="contact-control__label" for="phone">Номер телефону</label>
        <div class="contact-control__area"><img class="flag-icon position-absolute" src="./images/flag-icon.svg" width="30" height="20" alt="flag-icon"/><span class="prompt-number position-absolute">+3 (</span>
          <input class="contact-control__input" id="phone" type="tel" placeholder="000) 234-56-78"/>
        </div>
      </div>
      <button class="btn btn-sm" type="button">забрати бонус</button>
      <div class="checkbox-body">
        <label class="checkbox-container">Я погоджуюсь з<a href="#" target="_blank">правилами та умовами</a>
          <input type="checkbox"/><span class="check-mark"></span>
        </label>
        <label class="checkbox-container">Отримати розсилку про акції по<span class="open-sans-text">e-mail</span> та<span class="open-sans-text">sms</span>
          <input type="checkbox"/><span class="check-mark"></span>
        </label>
      </div>
    </form>
  </div>
</div>
